For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog inStart for free
  • Getting started
    • Overview
    • How it works
    • Quickstart
    • Project structure
    • Customer showcase
    • Changelog
  • Configuration
    • Overview
    • Site-level settings
    • Page-level settings
  • Writing content
    • Markdown basics
    • Rich media in Markdown
    • Fern Editor
    • Reusable snippets
  • AI features
    • Overview
    • Fern Writer
    • AI-generated examples
    • Markdown access
      • Overview
      • Customize LLM output
      • Agent directives
      • Analytics and integration
    • MCP server
    • API catalog discovery
      • Overview
        • Overview
          • POSTCreate Guidance
          • GETGet Guidance By Id
          • DELDelete Guidance By Id
          • PATCHUpdate
          • GETGet Guidances
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
Book a demoLog inStart for free
AI featuresAsk FernAPI referenceGuidance

Get Guidance By Id

||View as Markdown|
GET
/guidance/:domain/:guidance_id
GET
/guidance/:domain/:guidance_id
$curl https://fai.buildwithfern.com/guidance/domain/guidance_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "guidance": {
3 "domain": "cybersecurity",
4 "context": [
5 "network security",
6 "data protection"
7 ],
8 "document": "Ensure all endpoints use TLS 1.2 or higher to encrypt data in transit and prevent interception.",
9 "guidance_id": "guidance-12345",
10 "created_at": "2024-01-15T09:30:00Z",
11 "updated_at": "2024-01-15T09:30:00Z"
12 }
13}
Was this page helpful?
Previous

Create Guidance

Next

Delete Guidance By Id

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

domainstringRequired
guidance_idstringRequired

Response

Successful Response
guidanceobject
The requested guidance document

Errors

422
Unprocessable Entity Error